########## final working tweaks #######

# for mouse support, comment out unneeded section

# enable mouse support in tmux < 2.1
# setw -g mode-mouse on
# set -g mouse-select-pane on
# set -g mouse-resize-pane on
# set -g mouse-select-window on

# enable mouse support in tmux >= 2.1
set-option -g mouse on

# scroll speed 1 for tmux 2.4 and older
bind -Tcopy-mode WheelUpPane send -N1 -X scroll-up
bind -Tcopy-mode WheelDownPane send -N1 -X scroll-down
set -g @scroll-speed-num-lines-per-scroll 1

# scroll limit increase (def is 2000)
set-option -g history-limit 50000

# pane sync with just control-s
# bind -n C-s set-window-option synchronize-panes

# pane sync control-a (or prefix) then control-s
bind C-s set-window-option synchronize-panes

# stop auto renaming windows / tabs - I name my tabs often with ^a Shift-a and its annoying having them rename back
# set allow-rename off # <-- this didn't error, but it also didn't work they still renamed. one below worked
set-window-option -g allow-rename off

# swap windows/tab with Control-Shift-left or right arrow
bind -n C-S-Left swap-window -t -1\; select-window -t -1
bind -n C-S-Right swap-window -t +1\; select-window -t +1

# if above does not travel with the window/tab, comment out above, and uncomment this
# bind -n C-S-Left swap-window -t -1
# bind -n C-S-Right swap-window -t +1

# END OF FILE
